Generation Framework

## org.eclipse.gmf.gmfgraph
Interface Node

All Superinterfaces:
  AbstractNode, DiagramElement, org.eclipse.emf.ecore.EObject, Identity, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  DiagramLabel

All Known Implementing Classes:
  DiagramLabelImpl, NodeImpl

    public interface Node

extends AbstractNode

A representation of the model object 'Node'.

The following features are supported:

- `Resize Constraint`
- `Affixed Parent Side`
- `Content Pane`

See Also:
  `GMFGraphPackage.getNode()`
** Generated **
Model:

Method Summary
`Direction` `getAffixedParentSide()` Returns the value of the 'Affixed Parent Side' attribute.
`ChildAccess` `getContentPane()` Returns the value of the 'Content Pane' reference
`Direction` `getResizeConstraint()` Returns the value of the 'Resize Constraint' attribute.
`void` `setAffixedParentSide(Direction value)` Sets the value of the '`Affixed Parent Side`' attribute
`void` `setContentPane(ChildAccess value)` Sets the value of the '`Content Pane`' reference
`void` `setResizeConstraint(Direction value)` Sets the value of the '`Resize Constraint`' attribute

Methods inherited from interface org.eclipse.gmf.gmfgraph.DiagramElement
`getFacets, getFigure, setFigure`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Identity
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getResizeConstraint

    Direction getResizeConstraint()

  Returns the value of the 'Resize Constraint' attribute. The default value is `"NSEW"`. The literals are from the enumeration `Direction`.

  If the meaning of the 'Resize Constraint' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Resize Constraint' attribute.
  See Also:
    `Direction`, `setResizeConstraint(Direction)`, `GMFGraphPackage.getNode_ResizeConstraint()`
  ** Generated **
  Model:
    default="NSEW"

### setResizeConstraint

    void setResizeConstraint(Direction value)

  Sets the value of the '`Resize Constraint`' attribute.

  Parameters:
    `value` - the new value of the 'Resize Constraint' attribute.
  See Also:
    `Direction`, `getResizeConstraint()`
  ** Generated **

### getAffixedParentSide

    Direction getAffixedParentSide()

  Returns the value of the 'Affixed Parent Side' attribute. The default value is `"NONE"`. The literals are from the enumeration `Direction`.

  If the meaning of the 'Affixed Parent Side' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Affixed Parent Side' attribute.
  See Also:
    `Direction`, `setAffixedParentSide(Direction)`, `GMFGraphPackage.getNode_AffixedParentSide()`
  ** Generated **
  Model:
    default="NONE"

### setAffixedParentSide

    void setAffixedParentSide(Direction value)

  Sets the value of the '`Affixed Parent Side`' attribute.

  Parameters:
    `value` - the new value of the 'Affixed Parent Side' attribute.
  See Also:
    `Direction`, `getAffixedParentSide()`
  ** Generated **

### getContentPane

    ChildAccess getContentPane()

  Returns the value of the 'Content Pane' reference.

  If the meaning of the 'Content Pane' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Content Pane' reference.
  See Also:
    `setContentPane(ChildAccess)`, `GMFGraphPackage.getNode_ContentPane()`
  ** Generated **
  Model:

### setContentPane

    void setContentPane(ChildAccess value)

  Sets the value of the '`Content Pane`' reference.

  Parameters:
    `value` - the new value of the 'Content Pane' reference.
  See Also:
    `getContentPane()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.